default
{
	projectiles
	{
		chain = "normal,bomb,scatter,holy"

		#include="db/battle/proj/default.hxx"
		#include="db/battle/proj/normal.hxx"
		#include="db/battle/proj/bomb.hxx"
		#include="db/battle/proj/scatter.hxx"
		#include="db/battle/proj/holy.hxx"
	}

	buildings
	{
		chain = "cottage,cottage,cottage,inn,cottage,cottage,smithy,cottage,cottage,armory,cottage,cottage,chapel"

		cottage
		{
			chain_index = "0"

			$mesh="objects/cottage.obj"
			
			build_radius="0.3"
			shadow_radius="0.5"
			$shadow_texture="Textures/shadowSquare.tga"
			
			cost_gold="1"
			yield_gold="2"

			smoke
			{
				$texture	= "textures/smoke2.tga"
				pos_offset	= "0.1, 0.2, 0.1"
				width		= "0.05"
				height		= "0.5"
				color		= "0x00FFFFFF"
				speed		= "0.3"
			}

			collision
			{
				box
				{
					extents		= "0.13, 0.14, 0.16"
					position	= "0.0, 0.14, 0.0"
				}
			}


			// Sounds
			build_sounds
			{
				count = "3"
				$snd0 = "audio/ingame/build_sg.lsf,5,25"
				$snd1 = "audio/ingame/build_hammare_tr.lsf,5,25"
				$snd2 = "audio/ingame/build_sl.lsf.lsf,5,25"
			}

			hit_sounds
			{
				count = "2"
				$snd0 = "audio/ingame/impact_small.lsf,5,25,128"
				$snd1 = "audio/ingame/impact_medium.lsf,5,25,192"
			}

		}

		inn
		{
			chain_index = "1"

			$mesh="objects/Inn.obj"
			
			build_radius="0.7"
			shadow_radius="0.5"
			$shadow_texture="textures/shadowInn.tga"

			cost_gold="2"
			yield_gold="6"

			smoke
			{
				$texture	= "textures/smoke2.tga"
				pos_offset	= "-0.38, 0.4, -0.12"
				height		= "0.7"
				width		= "0.05"
				color		= "0x00FFFFFF"
				speed		= "0.3"
			}

			collision
			{
				vibration_time	= "0.25"

				box
				{
					extents		= "0.2, 0.17, 0.3"
					position	= "0.2, 0.17, 0.25"
				}

				box
				{
					extents		= "0.5, 0.17, 0.2"
					position	= "-0.1, 0.17, -0.2"
				}
			}

			// Sounds
			build_sounds
			{
				count = "3"
				$snd0 = "audio/ingame/build_sg.lsf,5,25"
				$snd1 = "audio/ingame/build_hammare_tr.lsf,5,25"
				$snd2 = "audio/ingame/build_sl.lsf.lsf,5,25"
			}

			hit_sounds
			{
				count = "2"
				$snd0 = "audio/ingame/impact_small.lsf,5,25,128"
				$snd1 = "audio/ingame/impact_medium.lsf,5,25,192"
			}
		}

		smithy
		{
			chain_index = "2"

			$mesh="objects/Blacksmith.obj"
			
			build_radius="0.7"
			shadow_radius="0.5"
			$shadow_texture="textures/shadowSmith.tga"

			cost_gold="4"
			yield_gold="0"
			
			yield_ammo_type="bomb"
			yield_ammo_count="3"

			smoke
			{
				$texture	= "textures/smoke.tga"
				pos_offset	= "-0.03, 0.75, 0.52"
				height		= "1.0"
				width		= "0.1"
				color		= "0"
				speed		= "0.3"
			}

			collision
			{
				vibration_time	= "0.25"

				box
				{
					extents		= "0.4, 0.17, 0.45"
					position	= "0.0, 0.17, 0.0"
				}

				box
				{
					extents		= "0.15, 0.3, 0.12"
					position	= "0.0, 0.3, 0.5"
				}
			}

			// Sounds
			build_sounds
			{
				count = "3"
				$snd0 = "audio/ingame/build_sg.lsf,5,25"
				$snd1 = "audio/ingame/build_hammare_tr.lsf,5,25"
				$snd2 = "audio/ingame/build_sl.lsf.lsf,5,25"
			}

			hit_sounds
			{
				count = "2"
				$snd0 = "audio/ingame/impact_small.lsf,5,25,128"
				$snd1 = "audio/ingame/impact_medium.lsf,5,25,192"
			}
		}

		armory
		{
			chain_index = "3"

			$mesh="objects/Armory.obj"

			build_radius="0.8"
			shadow_radius="0.5"
			$shadow_texture="textures/shadowArmory.tga"

			cost_gold="4"
			yield_gold="0"

			yield_ammo_type="scatter"
			yield_ammo_count="3"

			collision
			{
				vibration_time	= "0.25"
				
				box
				{
					extents		= "0.55, 0.2, 0.55"
					position	= "0.0, 0.2, 0.0"
				}

				box
				{
					extents		= "0.18, 0.45, 0.18"
					position	= "0.35, 0.45, -0.35"
				}
			}

			// Sounds
			build_sounds
			{
				count = "3"
				$snd0 = "audio/ingame/build_sg.lsf,5,25"
				$snd1 = "audio/ingame/build_hammare_tr.lsf,5,25"
				$snd2 = "audio/ingame/build_sl.lsf.lsf,5,25"
			}

			hit_sounds
			{
				count = "2"
				$snd0 = "audio/ingame/impact_small.lsf,5,25,128"
				$snd1 = "audio/ingame/impact_medium.lsf,5,25,192"
			}
		}

		chapel
		{
			chain_index = "4"

			$mesh="objects/Chapel.obj"
			build_radius="0.7"
			shadow_radius="0.5"
			$shadow_texture="textures/shadowChapel.tga"

			cost_gold="4"
			yield_gold="0"
			yield_ammo_type="holy"
			yield_ammo_count="3"

			collision
			{
				vibration_time	= "0.25"

				box
				{
					extents		= "0.3, 0.16, 0.42"
					position	= "0.0, 0.16, -0.09"
				}

				box
				{
					extents		= "0.15, 0.45, 0.15"
					position	= "0.0, 0.45, 0.48"
				}
			}

			// Sounds
			build_sounds
			{
				count = "3"
				$snd0 = "audio/ingame/build_sg.lsf,5,25"
				$snd1 = "audio/ingame/build_hammare_tr.lsf,5,25"
				$snd2 = "audio/ingame/build_sl.lsf.lsf,5,25"
			}

			hit_sounds
			{
				count = "2"
				$snd0 = "audio/ingame/impact_small.lsf,5,25,128"
				$snd1 = "audio/ingame/impact_medium.lsf,5,25,192"
			}
		}
	}

	tower
	{
		base_cost_gold="5"
		level_cost_gold="2"

		build_radius="0.5"
		max_count="3"
		max_levels="6"



		$base_mesh="objects/tower_entrance.obj"
		$level_mesh="objects/tower_piece.obj"
		$crown_mesh="objects/tower_crown.obj"

		$shadow_texture="textures/shadow.tga"

		prebuilds
		{
			$mesh0="objects/tower_1.obj"
			$mesh1="objects/tower_2.obj"
			$mesh2="objects/tower_3.obj"
			$mesh3="objects/tower_4.obj"
			$mesh4="objects/tower_5.obj"
			$mesh5="objects/tower_6.obj"
		}

		hit_sounds
		{
			count = "2"
			$snd0 = "audio/ingame/impact_gravity_bomba.lsf,5,25"
			$snd1 = "audio/ingame/impact_large.lsf,5,25"
		}
	}

	catapult
	{
		cost_gold		= "4"
		build_radius	= "0.5"

		$base_mesh		 = "objects/catapult_stand.obj"
		$arm_mesh		 = "objects/catapult_launcher.obj"
		$projectile_mesh = "objects/catapult_ammo.obj"

		tension_speed		= "12.0"
		tension_max			= "20.0"

		loading_time		= "3.0"
		firing_time			= "0.5"

		angle_wobble		= "0.05"

		// Animation
		anim_type				= "catapult"
		loaded_arm_angle		= "-0.125"
		max_tension_arm_angle	= "0.0"
		max_released_arm_angle	= "-0.25"	

		rotate_msg_frequency	= "0.2"

		arm_attach_pos			= "0.0, 0.1, 0.2"
		arm_length				= "-0.37"
		arm_bowl_offset			= "0.025"

		//
		projectile_spawn_pos	= "0.0, 0.5, 0.0"
		projectile_release_angle= "0.6" // Not an angle :)

		// Sounds
		$tension_sound = "audio/ingame/knarr.lsf,3,15,128,128"
		launch_sounds
		{
			count = "2"
			$snd0 = "audio/ingame/LaunchCatapult1.lsf,3,15,128,128"
			$snd1 = "audio/ingame/LaunchCatapult2.lsf,3,15,128,128"
		}

	}
}
